## org.eclipse.datatools.modelbase.sql.schema.provider
Class SqlmodelEditPlugin

    java.lang.Object
      EMFPlugin
          org.eclipse.datatools.modelbase.sql.schema.provider.SqlmodelEditPlugin

    public final class SqlmodelEditPlugin

extends EMFPlugin

This is the central singleton for the SQLModel edit plugin.

Nested Class Summary
`static class` `SqlmodelEditPlugin.Implementation` The actual implementation of the Eclipse Plugin.

Field Summary
`static SqlmodelEditPlugin` `INSTANCE` Keep track of the singleton.

Constructor Summary
`SqlmodelEditPlugin()` Create the instance.

Method Summary
`static SqlmodelEditPlugin.Implementation` `getPlugin()` Returns the singleton instance of the Eclipse plugin.
`ResourceLocator` `getPluginResourceLocator()` Returns the singleton instance of the Eclipse plugin.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final SqlmodelEditPlugin INSTANCE

  Keep track of the singleton.

Constructor Detail

### SqlmodelEditPlugin

    public SqlmodelEditPlugin()

  Create the instance.

Method Detail

### getPluginResourceLocator

    public ResourceLocator getPluginResourceLocator()

  Returns the singleton instance of the Eclipse plugin.

  Returns:
    the singleton instance.

### getPlugin

    public static SqlmodelEditPlugin.Implementation getPlugin()

  Returns the singleton instance of the Eclipse plugin.

  Returns:
    the singleton instance.

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.